Skip to main content
GET
/
api
/
v0
/
reports
Endpoint for getting reports for finished audit engagements.
curl --request GET \
  --url https://api.example.com/api/v0/reports
import requests

url = "https://api.example.com/api/v0/reports"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/reports', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "reports": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isPrivate": true,
      "projectTitle": "<string>",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyHandle": "<string>",
      "clientName": "<string>",
      "clientLogo": "<string>",
      "engagementStartDate": "2023-11-07T05:31:56Z",
      "engagementEndDate": "2023-11-07T05:31:56Z",
      "repositoryLinks": [
        "<string>"
      ],
      "commitHashes": [
        "<string>"
      ],
      "typeOfProject": [
        "<string>"
      ],
      "teamMembers": [
        {
          "reportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "auditorPublicProfile": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "username": "<string>",
            "avatar": "<string>",
            "isBot": true,
            "verifiedProfile": true,
            "isNdaSigned": true,
            "reputation": 123,
            "skills": [
              "<string>"
            ],
            "badges": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "name": "<string>",
                "image": "<string>",
                "description": "<string>",
                "issuedAt": "2023-11-07T05:31:56Z"
              }
            ],
            "createdAt": "2023-11-07T05:31:56Z",
            "github": "<string>",
            "twitter": "<string>",
            "tagline": "<string>",
            "bio": "<string>",
            "website": "<string>",
            "guildAffiliation": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      ],
      "findingStats": [
        {
          "totalCount": 123,
          "fixedCount": 123
        }
      ],
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "publishedAt": "2023-11-07T05:31:56Z",
      "seoTitle": "<string>",
      "seoDescription": "<string>",
      "description": "<string>",
      "clientWebsite": "<string>",
      "engagementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "repositoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "guildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reportPdfLink": "<string>",
      "findings": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "number": 123,
          "attributedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "description": "<string>",
          "createdBy": {
            "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "username": "<string>",
            "avatar": "<string>",
            "disabledAt": "2023-11-07T05:31:56Z"
          },
          "createdAt": "2023-11-07T05:31:56Z",
          "fixedBy": [
            "<string>"
          ],
          "relatedFiles": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "path": "<string>",
              "lines": {
                "start": 123,
                "end": 123
              },
              "language": "<string>",
              "relevantContent": "<string>"
            }
          ],
          "companyName": "<string>",
          "companyLogo": "<string>"
        }
      ]
    }
  ],
  "nextValue": "<string>"
}
{
  "msg": "<string>"
}

Query Parameters

limit
integer | null

Maximum number of reports to return.

Defaults to 100, limited to 1000.

Required range: x >= 0
next
string | null

Pagination value.

When this route is first used it returns a next_value, when set as the next value it will return the next set of items, implementing pagination.

q
string | null

Search the report with the given query.

This currently searches the report title and client name.

guild
string | null

Filter reports based on guild name.

Response

Reports

List of [Report]`s.

reports
object[]
required

List of reports.

nextValue
string | null

Use this as next value in the next request to retrieve the next list of reports.

If this is empty it means no more reports are available.